<bugID>343876<Summary>Session restore when all last sessions tabs were closed should obey user homepage choice for the initial blank tab</Summary><Description>If you close all the tabs in a session (presuming the tab bar always remains active and there should be one blank tab remaining) then close the brother window. When Firefox is re-opened the blank tab will load as it was in the last session.

Would it not make more sence to use this blank tab to load the users homepage choice (if set) as a blank tab is pretty muse useless as a start point.</Description></bugID>